package com.example.greenwatch;

import android.media.MediaRecorder;
import android.view.Surface;
import android.view.SurfaceHolder;

import java.io.IOException;

public class VideoRecorder implements Runnable{
    private final MediaRecorder videoRecorder;
    private final String videoPath;
    //private SurfaceHolder previewHolder;
    private Surface surface;


    public VideoRecorder(MediaRecorder videoRecorder, String videoPath, Surface surface) {
        this.videoRecorder = videoRecorder;
        this.videoPath = videoPath;
        this.surface = surface;
    }
    @Override
    public void run() {
        videoRecorder.setVideoSource(MediaRecorder.VideoSource.CAMERA);
        videoRecorder.setOutputFormat(MediaRecorder.OutputFormat.MPEG_4);
        videoRecorder.setVideoEncoder(MediaRecorder.VideoEncoder.DEFAULT);
        videoRecorder.setOutputFile(videoPath);
        videoRecorder.setOrientationHint(90);
        videoRecorder.setPreviewDisplay(surface);

        try {
            videoRecorder.prepare();
            videoRecorder.start();

        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}

